/* GLOBAL */

* {
    box-sizing: border-box;

}
body {
    font-size: 24px;
    font-family: var(--serif);
    background: var(--cream);
    padding: var(--p-size);
    @media(max-width: 850px) {
        padding: 0;
    }
}

main {
    position: relative;
    background-size: var(--p-size) var(--p-size);
    background-image:
        linear-gradient(to right, var(--lavender) 1px, transparent 1px),
        linear-gradient(to bottom, var(--lavender) 1px, transparent 1px);
}

h1 {
    margin: 0;
    font-weight: 200;
}

a {
    text-decoration: none;
}

figure {
    img, video {
        width: 100%;
    }
    figcaption {
        font-style: italic;
        font-size: var(--font-size-3);
    }
}

.breadcrumb {
    text-align: right;
    padding: var(--p-size);
    margin-bottom: calc(var(--p-size) * 2);
    a {
        font-weight: 600;
    }
}

.center {
    display: flex;
    justify-content: center;
    align-items: center;
}

.section-divider {
    background: url('/aesthetic/assets/lavender.gif') ;
    background-repeat: repeat;
    background-size: contain;
    height: 3rem;
    width: 95vw;
    padding: 0;
    margin-left: -1rem;
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.section-sticker {
    --section-color: gold;
    --section-bg: white;
    border: 1.5px solid var(--section-color);
    background: var(--section-bg);
    font-size: var(--p-size);
    padding-bottom: var(--p-size);
    .sticker-title {
        display: flex;
        justify-content: space-between;
        align-items: center;
        border-bottom: 1.5px solid var(--section-color);
        background-color: color-mix(in oklab, var(--section-color) 25%, var(--section-bg));
        h2 {
            padding: 0;
            margin: 0;
            font-weight: 200;
        }
        img {
            background: var(--section-bg);
            height: var(--h1-size);
        }
        img:first-of-type {
            padding-right: 1.5px;
            border-right: 1.5px solid var(--section-color);
        }
        img:last-of-type {
            padding-left: 1.5px;
            border-left: 1.5px solid var(--category-colour);
        }
    }
    .sticker-content {
        padding: 1rem;
    }
    .sticker-footnote {
        margin: var(--p-size);
        a {
            font-weight: 800;
        }
    }
}
#blessing {
    font-size: var(--font-size-3);
    font-style: italic;
    text-align: right;
    margin: 0;
}
.form-sticker {
    --section-color: gold;
    --section-bg: white;
    display: flex;
    flex-flow: column;
    border: 1.5px solid var(--section-color);
    background: var(--section-bg);
    .form-name {
        background: color-mix(in oklab, var(--section-color), white);
        padding: var(--space-xxs);
        padding-left: var(--space-sm);
    }
    .form-content {
        margin: var(--space-sm);
        font-size: var(--p-size);
    }
    input[type='email'] {
        font-size: var(--font-size-4);
        /* padding: var(--space-xxs); */
        font-family: var(--mono);
        border: none;
        border-bottom: 1.5px solid var(--section-color);
        background: aliceblue;
    }
    input:focus {
        outline: none;
        background: color-mix(in oklab, var(--section-color) 20%, white);
        border: 1px solid var(--section-color);
    }
    input[type=submit] {
        font-size: var(--p-size);
        margin-top: var(--p-size);
        font-family: var(--serif);
        font-variant-caps: small-caps;
        border: 4px ridge var(--section-color);
        font-weight: 600;
        background: color-mix(in oklab, var(--section-color), white);
    }
    input[type=submit]:hover {
        background: var(--section-color);
        border-color: var(--section-color);
        cursor: pointer;
    }
    .fineprint {
        font-size: calc(var(--p-size) * 0.5) !important;
        margin: 0;
        font-style: italic;
    }
}
.figure-sticker {
    img {
        width: 100%;
    }
    figcaption {
        font-size: 1rem;
        font-style: italic;
    }
}
/* LINKS */

#links {
    --category-bg: color-mix(in oklab, yellow 10%, white);
}
#links main {
    min-height: 100vh;
}

#links header {
    display: flex;
    justify-content: flex-end;
    margin-right: var(--p-size);
}

#links a {
    text-decoration: none;
    font-weight: 600;
}
#links ul {
    list-style-type: none;
    padding: var(--p-size);
    margin: 0;
}

#links li {
    margin-bottom: var(--p-size);
}

#links ul li:first-of-type {
    margin-top: 0;
}

#links li p {
    margin: 0;
}

#links h1 {
    font-size: var(--h1-size);
    margin: 0;
    margin-left: calc(var(--p-size) * 2);
    margin-bottom: var(--p-size);
}

.links-grid {
    display: flex;
    flex-wrap: wrap;
    max-width: calc(var(--p-size) * 100);
}

#links .category {
    width: calc(var(--p-size) * 25);
    border: 1.5px solid var(--category-colour);
    margin: 0;
    margin-left: calc(var(--p-size) * 2);
    margin-right: calc(var(--p-size) * 2);
    margin-bottom: calc(var(--p-size) * 2);
    background: var(--category-bg);
}

#links .category-title {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1.5px solid var(--category-colour);
    background-color: color-mix(in oklab, var(--category-colour) 25%, var(--category-bg));
}

#links .category-title h2 {
    padding: 0;
    margin: 0;
    font-weight: 200;
}

#links .category-title .sticker {
    height: var(--h1-size);
    padding: 0;
    margin: 0;
    background: var(--category-bg);
}

#links .category-title .sticker.left {
    padding-right: 1.5px;
    border-right: 1.5px solid var(--category-colour);
}


#links .category-title .sticker.right {
    padding-left: 1.5px;
    border-left: 1.5px solid var(--category-colour);
}

#links #people {
    --category-colour: rebeccapurple;
}

#links #tools {
    --category-colour: blue;
}

#links #other-cool-people-and-things {
    --category-colour: mediumseagreen;
}

#links #resources {
    --category-colour: gold;
}

@media(max-width: 667px) {
    .links-grid {
        padding-bottom: calc(var(--p-size) * 10);
    }

    #links .category {
        margin-left: 0;
        margin-right: 0;
    }
    .page_sticker {
        max-width: calc(var(--p-size)*10);
    }
}

#weblog {
    --border-color: color-mix(in oklab, gray 40%, ivory);
    main {
        padding-bottom: calc(var(--p-size) * 10);
    }
}

#weblog  {
    font-size: var(--p-size);
    .page-header {
        display: table;
        flex-flow: column;
        margin-bottom: calc(var(--p-size) * 4);
        border-bottom: 2px solid black;

        p {
            margin: 0;
            margin-bottom: .25rem;
        }
    }
    h1 {
        font-size: calc(var(--font-size-8) * 2);
        margin-bottom: -.5rem;
        font-variant-caps: small-caps;
    }
    ul.index {
        list-style-type: none;
        padding: 0;
        margin: 0;
    }
    section.year-entries {
        display: flex;
        flex-flow: column;
        position: relative;
        width: 100%;
    h2 {
        /* padding: 1rem; */
        color: color-mix(in oklab, cornflowerblue 70%, ivory);
        font-size: calc(var(--font-size-8) * 4);
        font-family: var(--serif);
        font-weight: 100;
        @media(max-width: 850px) {
            margin: 0;
        }
    }
    ul, article {
        z-index: 2;
    }
    }
    @media(min-width: 850px) {
        .page-header {
          margin-left: calc(var(--p-size) * 2);
        }
        section.year-entries {
            flex-flow: row;
            h2 {
                align-self: flex-start;
                top: 0;
                transform: rotate(-90deg);
                transform-origin: bottom center;
                white-space: nowrap;
                margin: 0;
                margin-left: 0.25rem;
            }
        }
    }
}

#weblog, #log-entry {
    --border-color: var(--log_default_border);
    main {
        padding-bottom: calc(var(--p-size) * 10);
        max-width: 100%;
    }
    article {
        border-radius: 4px;
        max-width: calc(var(--p-size) * 38);
        margin: auto;
        margin-bottom: calc(var(--p-size) * 4);
        background: white;
        color: var(--log_default_color);
        .jan {
            --log_border: var(--log_jan_border);
            --log_color: var(--log_jan_color);
        }
        .feb {
            --log_border: var(--log_feb_border);
            --log_color: var(--log_feb_color);
        }
        .mar {
            --log_border: var(--log_mar_border);
            --log_color: var(--log_mar_color);
        }
        .apr {
            --log_border: var(--log_apr_border);
            --log_color: var(--log_apr_color);
        }
        .may {
            --log_border: var(--log_may_border);
            --log_color: var(--log_may_color);
        }
        .jun {
            --log_border: var(--log_jun_border);
            --log_color: var(--log_jun_color);
        }
        .jul {
            --log_border: var(--log_jul_border);
            --log_color: var(--log_jul_color);
        }
        .aug {
            --log_border: var(--log_aug_border);
            --log_color: var(--log_aug_color);
        }
        .sep {
            --log_border: var(--log_sep_border);
            --log_color: var(--log_sep_color);
        }
        .oct {
            --log_border: var(--log_oct_border);
            --log_color: var(--log_oct_color);
        }
        .nov {
            --log_border: var(--log_nov_border);
            --log_color: var(--log_nov_color);
        }
        .dec {
            --log_border: var(--log_dec_border);
            --log_color: var(--log_dec_color);
        }
        .entry {
            border: 6px double var(--log_border);
            border-radius: 4px;
            color: var(--log_color);
        }
        header {
            border-bottom: 1px solid var(--log_border);
            margin: 0;
            display: flex;
            justify-content: space-between;
            /* align-items: flex-end; */
            * {
                margin: 0;
                /* padding: calc(var(--p-size) / 2); */
            }
            img {
                height: 3rem;
            }
            h1, h3 {
                flex-grow: 1;
                margin: 0;
                padding: 0;
                display: flex;
                flex-flow: column;
                /* justify-content: center; */
                justify-content: flex-end;
                font-size: calc(var(--p-size) * 2);
                padding-left: calc(var(--p-size) * 2);
                font-style: italic;
                font-weight: 800;
            }
            .written-date {
                padding: 0.5rem;
                display: flex;
                justify-content: flex-end;
                align-items: center;
                border-left: 1px solid var(--log_border);
                background: var(--log_border);
                font-size: var(--font-size-7);
                color: ivory;
                font-weight: 100;

                .day {
                    font-size: calc(var(--p-size) * 2.5);
                    margin-right: 0.5rem;
                }
                .month {
                    font-size: calc(var(--p-size) * 1.5);
                }
            }
        }
        .content {
            font-size: var(--font-size-6);
            padding: var(--p-size);
            padding-top: var(--p-size);
            line-height: 1.33;

            b, strong {
                font-weight: 600;
            }

            blockquote {
                font-style: italic;
                font-size: calc(var(--p-size) * 1.1);
                line-height: 1.35;
            }
            @media(min-width: 850px) {
                padding: var(--p-size) calc(var(--p-size) * 2) var(--p-size) calc(var(--p-size) * 2);
            }
        }
    }
}

#explore {
    /*span all columns*/
    @media (max-width: 667px) {
        max-width: 100%;
        display: flex;
        flex-flow: column;
    }
    nav {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(375px, 1fr));
        gap: 1rem;
        .page-sticker {
            --page-color: var(--benzol-green);
            --text-color: var(--cream);
            --page-color-glow: color-mix(in oklab, var(--page-color) 15%, var(--cream));
            filter: drop-shadow(10px 10px 5px var(--page-color-glow));
            position: relative;
            display: flex;
            background: var(--page-color);
            border: 1px solid var(--page-color);
            max-width: 400px;
            margin: var(--space-sm);
            flex: 1 2 auto;
            @media(max-width: 667px) {
                margin-left: 0;
            }
            .title {
                display: flex;
                align-items: center;
                padding: var(--space-sm);
                text-align: center;
                flex: 1 1 30%;
                min-width: min-content;
                max-width: 40%;
                color: var(--text-color);
                font-size: var(--font-size-6);
                font-weight: 200;
            }
            .title.long {
                font-size: var(--font-size-5);
            }
            .description {
                color: black;
                padding: var(--space-xs);
                display: flex;
                flex: 1 1 70%;
                align-items: center;
                width: 100%;
                background: var(--cream);
                margin: 0;
            }
            .dotted-pattern {
                margin: 0;
                background: transparent;
                background-position-x: 0%;
                background-position-y: 0%;
                background-image: none;
                background-size: auto;
                position: absolute;
                height: 100%;
                width: 100%;
                top: 0.75rem;
                left: 0.75rem;
                background-image: radial-gradient(var(--page-color) 15%, transparent 16%), radial-gradient(var(--page-color) 15%, transparent 16%);
                background-size: 7px 8px;
                background-position: 11px 11px, 14px 14px;
                z-index: -1;
            }
        }
        .page-sticker:hover {
            .description {
                background: white;
            }
        }
        a[href="/log/"] {--page-color: var(--otter-brown);}
        a[href="/links/"]{--page-color: var(--cadmium);}
        a[href="/friends/"]{--page-color: var(--violet-ultramarine);}
        a[href="/map-is-the-territory/"],
        a[href="/el-mapa-es-el-territorio/"],
        a[href="/la-carte-est-le-territoire/"]
        {
            --page-color: black;
            --text-color: chartreuse;
        }
        a[href="/web-zine/"]{--page-color: var(--lettuce-green);}
        a[href="/roses-2020/"]{--page-color: var(--lake-red);}
        a[href="/chill/"]{--page-color: var(--chessylite-blue);}
        a[href="/codebook/"]{--page-color: var(--hyacinth-violet);}
        a[href="/future-vision/"]{--page-color: var(--benzol-green);}
        a[href="/hero-ted-nelson/"]{--page-color: var(--sanfords-brown);}
        a[href="/clear-skin-in-an-unclear-world/"]{--page-color: black;}
        a[href="/dad-drug-talk/"]{--page-color: var(--violet-ultramarine);}
        a[href="/basic-html-competency-is-the-new-punk-folk-explosion/"]{--page-color: var(--old-mauve);}
        a[href="/media-zine-party/"]{--page-color: var(--cadmium);}
        a[href="/smashmouth-white-magic/"]{--page-color: var(--dragons-blood-red);}
        a[href="/sonic-pi-and-me/"]{--page-color: var(--lettuce-green);}
        a[href="/storybrook-complex/"]{--page-color: var(--myrtle-green);}
        a[href="/the-bookshelf/"]{--page-color: var(--hyacinth-violet);}
        a[href="/hanukkah-2021/"]{--page-color: var(--lake-red);}
    }
}
#intertwingled {
    display: flex;
    justify-content: center;
    align-items: center;
    figure {
        max-width: 40rem;
    }
    padding-bottom: 10rem;
}
.page_sticker.right {
    position: absolute;
    bottom: 0;
    right: 0;
    text-align: right;
}

#changelog {
    main {
        min-height: calc(100vh + 4px);
    }
    h1 {
        font-size: var(--h1-size);
        margin-bottom: var(--space-md);

    }
    #changes {
        max-width: var(--readable-width);
        margin: auto;
        li {
            margin-bottom: 1rem;
            b {
                margin-bottom: 0;
            }
            .date {
                margin: 0;
                margin-bottom: var(--space-xxs);
                font-size: var(--font-size-1);
            }
            .description {
                margin-top: 0;
            }
        }
    }
}


ul.homemade-bullets {
    padding-left: 0;
    margin-left: 0;
    list-style-type: none;
}

ul.homemade-bullets li {
    /* list-style-type: none; */
    padding-left: 0;
    margin-bottom: var(--p-size);
    display: flex;
    align-items: flex-start;
    width: 100%;
}

ul.homemade-bullets li::before {
    content: "";
    display: inline-block;
    height: var(--p-size);
    background-image: url("/aesthetic/assets/stickers/star-1.png");
    background-size: contain;
    background-repeat: no-repeat;
    padding-right: calc(var(--p-size) * 2);
}

ul.homemade-bullets li:nth-of-type(1n)::before {
    background-image: url("/aesthetic/assets/stickers/star-1.png");
}

ul.homemade-bullets li:nth-of-type(2n)::before {
    background-image: url("/aesthetic/assets/stickers/star-2.png");
}

ul.homemade-bullets li:nth-of-type(3n)::before {
    background-image: url("/aesthetic/assets/stickers/star-3.png");
}

ul.homemade-bullets li:nth-of-type(4n)::before {
    background-image: url("/aesthetic/assets/stickers/star-4.png");
}
